//
//	simartyinit.sqf
//
//	VERSION 1 OF
// All in one artillery adjusting sim - Init file
//
//	ZSUARTY SCRIPT
//
// BY ZODD - 17 APR 12
//
//	---USAGE---
// CALLED BY:
//  bty1 =[guns in battery, rounds per FFE, first round accuracy, adjust dispersion area, 
// FFE dispersion area, ordinance (1-light, 2-med, 3-hvy), number of rounds (-1 for unlimited)] execVM "zsuArty\simartyinit.sqf";

// eg for standard 155
// bty1 = [3, 5, 600, 20, 50, 2, 35] execVM "zsuArty\simartyinit.sqf";
//
// Equals a battery of 3 guns. First round will fall within 600m of the target
// Adjusting rounds will fall within 20m of the exact point of impact
// Fire for effect rounds will fall within 50m of the exact point
// Fire for effect will be 15 rounds total (5 rounds from 3 guns)


//SCRIPT

//Assign global variables


zsuarty_guns = _this select 0;
zsuarty_roundsffe = _this select 1;
zsuarty_initialaccuracy = _this select 2;
zsuarty_adjdispersion = _this select 3;
zsuarty_ffedispersion = _this select 4;
zsuarty_ordtype = _this select 5;

switch (zsuarty_ordtype) do {
	case 1 : {zsuarty_guntype = "ARTY_Sh_81_HE";};  //MORTAR
	case 2 : {zsuarty_guntype = "ARTY_Sh_105_HE";};  //Light field gun
	case 3 : {zsuarty_guntype = "ARTY_Sh_122_HE";};  //HEAVY FIELD GUN
	case 4 : {zsuarty_guntype = "Bo_GBU12_LGB";};  //BOMB (Naval Gunfire sim)
	default {zsuarty_guntype = "ARTY_Sh_122_HE";};
	};

zsuarty_lr = 0;
zsuarty_ud = 0;
zsuarty_fobearing = 0;
zsuarty_gunsfiringnow = false;
zsuarty_ammoleft = true;
zsuarty_ammocount = _this select 6;
zsuarty_calledyet = false;

zsuarty_roundsffetemplate = zsuarty_roundsffe;

//START

//CREATE TARGET!

zsuarty_guntgt = "HeliHEmpty" createVehicle [0,0,0];

zsuarty_tempguntgt = "HeliHEmpty" createVehicle [1,1,0];
